## RBBrowserSource RBBrowserSource — base class for sources that include genre/artist/album browsers |

## Functions

gboolean | rb_browser_source_has_drop_support ()

## Properties

gboolean | populate | Read / Write / Construct

## Types and Values

struct | RBBrowserSource
struct | RBBrowserSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── RBDisplayPage
                            ╰── RBSource
                                ╰── RBBrowserSource
                                    ├── RBLibrarySource
                                    ╰── RBMediaPlayerSource

## Implemented Interfaces

RBBrowserSource implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This class simplifies implementation of sources that include genre/artist/album browsers. It also handles searching (using the search box) and a few other UI niceties.

Instances of browser sources will use a query that will match all entries of the entry type assigned to the source, so it's mostly suited for sources that have an entry type of their own.

## Functions

### rb_browser_source_has_drop_support ()

    gboolean
    rb_browser_source_has_drop_support (RBBrowserSource *source);

This is a virtual method that should be implemented by subclasses. It returns `TRUE` if drag and drop target support for the source should be activated.

#### Parameters

source | a RBBrowserSource |

#### Returns

`TRUE` if drop support should be activated

## Types and Values

### struct RBBrowserSource

    struct RBBrowserSource;

### struct RBBrowserSourceClass

    struct RBBrowserSourceClass {
    	RBSourceClass parent;

    	void		(*pack_content)		(RBBrowserSource *source, GtkWidget *content);
    	gboolean (*has_drop_support) (RBBrowserSource *source);
    	void		(*show_entry_popup) (RBBrowserSource *source);
    };

## Property Details

### The `“populate”` property

      “populate”                 gboolean

whether to populate the source.

Flags: Read / Write / Construct

Default value: TRUE